> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update order

> Modify a normal stock order.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml put /akhlys/v1/accounts/{accountNo}/orders/{orderId}
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /akhlys/v1/accounts/{accountNo}/orders/{orderId}:
    put:
      summary: Update order
      description: Modify a normal stock order.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Account number.
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          description: The order ID to modify.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price:
                  type: integer
                  format: int64
                  description: New trading price.
                quantity:
                  type: integer
                  format: int64
                  description: New trading quantity.
              required:
                - price
                - quantity
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error code, 0 = success.
                  message:
                    type: string
                    description: Result message.
                  orderId:
                    type: string
                    description: Modified order ID.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.